Name:           olfs
Version:        1.11.0
Release:        8%{?dist}
Summary:        OPeNDAP Lightweight Frontend Servlet - client interface for Hyrax

Group:          System Environment/Daemons
License:        LGPLv2
URL:            http://opendap.org/download/hyrax?q=olfs
Source0:        http://www.opendap.org/pub/olfs/olfs-%{version}-src.tgz
Source1:        context.xml
BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  ant-junit
BuildRequires:  apache-commons-codec
BuildRequires:  jakarta-commons-httpclient
BuildRequires:  apache-commons-cli
BuildRequires:  apache-commons-lang
BuildRequires:  apache-commons-logging
BuildRequires:  jdom
BuildRequires:  junit
BuildRequires:  log4j
BuildRequires:  logback
BuildRequires:  saxon
BuildRequires:  slf4j
BuildRequires:  tomcat-lib
BuildRequires:  xalan-j2

Requires:       jpackage-utils
%if 0%{?fedora} >= 20 || 0%{?rhel} >= 7
Requires:       java-headless
%else
Requires:       java
%endif
Requires:       tomcat
Requires:       apache-commons-codec
Requires:       jakarta-commons-httpclient
Requires:       apache-commons-cli
Requires:       apache-commons-lang
Requires:       apache-commons-logging
Requires:       jdom
Requires:       junit
Requires:       log4j
Requires:       logback
Requires:       saxon
Requires:       slf4j
Requires:       xalan-j2


%description
The OPeNDAP Lightweight Frontend Servlet (OLFS) provides the public-
accessible client interface for Hyrax.  The OLFS communicates with the Back
End Server (BES) to provide data and catalog services to clients.  The OLFS
implements the DAP2 protocol and supports some of the new DAP4 features.  We
hope that other groups will develop new front end modules that will implement
other protocols.


%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}-%{version}-src
find \( -name '*.class' -o -name '*.jar' \) -delete
# Fix FSF license
find -type f | xargs sed -i -e 's/[5]9 Temple Place,/51 Franklin Street,/' \
  -e 's/[S]uite 330,/Fifth Floor,/' -e 's/[0]2111-1307/02110-1301/'


%build
export CLASSPATH=`build-classpath commons-cli commons-codec commons-httpclient \
  commons-lang commons-logging jdom junit log4j logback saxon \
  servlet slf4j/api tomcat/catalina.jar xalan-j2 xalan-j2-serializer`
ant -Dbuild.sysclasspath=$CLASSPATH server


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/tomcat/webapps/opendap
#Explode the war file into webapps
unzip -o -d $RPM_BUILD_ROOT%{_datadir}/tomcat/webapps/opendap build/dist/opendap.war

#Allow symbolic links in the webapp
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/tomcat/webapps/opendap/META-INF/context.xml

#Move config to /etc/olfs
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/olfs
pushd $RPM_BUILD_ROOT%{_datadir}/tomcat/webapps/opendap/initialContent
for xml in *.xml
do
   mv $xml $RPM_BUILD_ROOT%{_sysconfdir}/olfs/
   ln -s ../../../../../../etc/olfs/$xml .
done

#Setup log directory
mkdir -p $RPM_BUILD_ROOT%{_sharedstatedir}/lib/tomcat/content/opendap
mkdir -p $RPM_BUILD_ROOT%{_sharedstatedir}/log/tomcat/opendap
ln -s ../../../../log/tomcat/opendap \
      $RPM_BUILD_ROOT%{_sharedstatedir}/lib/tomcat/content/opendap/logs

#Move javadocs out of webapp and into javadocdir
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}
mv $RPM_BUILD_ROOT%{_datadir}/tomcat/webapps/opendap/docs \
   $RPM_BUILD_ROOT%{_javadocdir}/%{name}


%check 
export CLASSPATH=`build-classpath commons-cli commons-codec commons-httpclient \
  commons-lang commons-logging jdom junit log4j logback saxon \
  servlet slf4j/api tomcat/catalina.jar xalan-j2 xalan-j2-serializer`
ant -Dbuild.sysclasspath=$CLASSPATH check


%files
%doc ChangeLog COPYRIGHT README
%dir %{_sysconfdir}/olfs
%config(noreplace) %{_sysconfdir}/olfs/*.xml
%{_datadir}/tomcat/webapps/opendap/
%attr(-,tomcat,tomcat) %{_sharedstatedir}/lib/tomcat/content/opendap
%attr(-,tomcat,tomcat) %{_sharedstatedir}/log/tomcat/opendap

%files javadoc
%doc COPYRIGHT
%{_javadocdir}/%{name}


%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Oct 15 2014 Orion Poplawski <orion@cora.nwra.com> - 1.11.0-3
- Update BR/R on apache-commons-codec and jakarta-commons-httpclient

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Orion Poplawski <orion@cora.nwra.com> - 1.11.0-1
- Update to 1.11.0

* Thu May 22 2014 Orion Poplawski <orion@cora.nwra.com> - 1.9.5-5
- Use junit instead of junit4

* Fri Feb 21 2014 Orion Poplawski <orion@cora.nwra.com> - 1.9.5-4
- Require java-headless (bug #1068458)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 23 2013 Orion Poplawski <orion@cora.nwra.com> 1.9.5-2
- Cleanup
- Fix FSF address

* Tue Apr 23 2013 Orion Poplawski <orion@cora.nwra.com> 1.9.5-1
- Update to 1.9.5
- Use tomcat instead of tomcat6

* Thu Jul 12 2012 Orion Poplawski <orion@cora.nwra.com> 1.9.4-0.1.beta
- Update to 1.9.4 beta

* Wed Dec 1 2010 Orion Poplawski <orion@cora.nwra.com> 1.7.1-1
- Update to 1.7.1
- Rename jakarta-commons-cli to apache-commons-cli for f15+

* Fri Jul 16 2010 Orion Poplawski <orion@cora.nwra.com> 1.6.2-2
- Move configuration to %%{_sysconfdir}
- Add content and log directories
- Allow symbolic links in webapp directory with context.xml file

* Thu Jul 15 2010 Orion Poplawski <orion@cora.nwra.com> 1.6.2-1
- Initial Fedora package
